summaryrefslogtreecommitdiffstats
path: root/mvn-phase-script.sh
diff options
context:
space:
mode:
authorLusheng Ji <lji@research.att.com>2018-03-22 14:27:41 -0400
committerLusheng Ji <lji@research.att.com>2018-03-22 14:27:58 -0400
commit6d381a5345092d28675986cf50408eaaa9c40690 (patch)
tree84f1a7b69541cd4e7b66e89789d95e1b57b66ff8 /mvn-phase-script.sh
parent4b7cb94ea78810df17be8a685ce878fe99abe755 (diff)
Add Redis cluster container
A Redis cluster is needed for TCA to store states. This submission is a fork of the Dcokerfile from the redis-cluster work here https://github.com/sanderploegsma/redis-cluster (MIT licensed), and making a docker image available on ONAP registry. Issue-ID: DCAEGEN2-245 Change-Id: I35ccf756daec07cb8657d07248c17c616b1f4ccf Signed-off-by: Lusheng Ji <lji@research.att.com>
Diffstat (limited to 'mvn-phase-script.sh')
-rwxr-xr-xmvn-phase-script.sh14
1 files changed, 8 insertions, 6 deletions
diff --git a/mvn-phase-script.sh b/mvn-phase-script.sh
index c07c832..5b1bf07 100755
--- a/mvn-phase-script.sh
+++ b/mvn-phase-script.sh
@@ -1,7 +1,7 @@
#!/bin/bash
# ================================================================================
-# Copyright (c) 2017 AT&T Intellectual Property. All rights reserved.
+# Copyright (c) 2017-2018 AT&T Intellectual Property. All rights reserved.
# ================================================================================
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
@@ -16,12 +16,10 @@
# limitations under the License.
# ============LICENSE_END=========================================================
#
-# ECOMP is a trademark and service mark of AT&T Intellectual Property.
set -ex
-
echo "running script: [$0] for module [$1] at stage [$2]"
MVN_PROJECT_MODULEID="$1"
@@ -38,10 +36,12 @@ if [ -z "$SETTINGS_FILE" ]; then
exit 2
fi
-
+if ! wget -O ${PROJECT_ROOT}/mvn-phase-lib.sh \
+ "$MVN_RAWREPO_BASEURL_DOWNLOAD"/org.onap.dcaegen2.utils/releases/scripts/mvn-phase-lib.sh; then
+ cp "${PROJECT_ROOT}"/scripts/mvn-phase-lib.sh "${PROJECT_ROOT}/mvn-phase-lib.sh"
+fi
source "${PROJECT_ROOT}"/mvn-phase-lib.sh
-
# This is the base for where "deploy" will upload
# MVN_NEXUSPROXY is set in the pom.xml
REPO=$MVN_NEXUSPROXY/content/sites/raw/$MVN_PROJECT_GROUPID
@@ -49,7 +49,6 @@ REPO=$MVN_NEXUSPROXY/content/sites/raw/$MVN_PROJECT_GROUPID
TIMESTAMP=$(date +%C%y%m%dT%H%M%S)
export BUILD_NUMBER="${TIMESTAMP}"
-
shift 2
case $MVN_PHASE in
@@ -92,6 +91,9 @@ deploy)
upload_files_of_extension sh
build_and_push_docker
;;
+ k8s-bootstrap|tca-cdap-container|cm-container|redis-cluster-container)
+ build_and_push_docker
+ ;;
scripts|cloud_init)
# upload all sh file under the root of module
upload_files_of_extension_recursively sh